View Issue Details

IDProjectCategoryView StatusLast Update
0001279ScribusUser Interfacepublic2016-04-09 16:28
Reporterlouisdesjardins Assigned Tolouisdesjardins  
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionopen 
PlatformLinuxOSMandrakeOS Version10
Product Version1.2.1cvs 
Target VersionFixed in Version 
Summary0001279: Unify settings in Paragraph styles/Properties palette/Text editor
DescriptionBasically, I think users could benefit to be able to affect all text parameters, no matter which window of the interface they bring up front.

Right now:
“Character scaling“ is only available in the Text Editor.
 “Left or Right reading language“ is only available in Properties.
“Above“, “Below“, “First line indent“, “Left indent“, “Tabs“, “Drop caps“ and “Lock to baseline grid“ are only available in Paragraph Style.
Additional InformationSome settings in the Properties palette don't fully reflect the applied settings in Paragraph Style.

Please refer to bug 0001119 for more on related issue.
TagsNo tags attached.
PatchNo

Relationships

related to 0000577 closedcbradney Paragraph Styles -> Kerning and language options missing 
related to 0001119 closedavox Font size and line spacing in the Properties palette are available but have no effect on styled text 
parent of 0009848 closedjghali [PATCH, OBSOLETE] Add control for Hyphenation Mode property of Paragraph Style 
related to 0002250 closedcbradney Paragraph styles UI needs work 

Activities

louisdesjardins

2011-01-04 00:52

developer   ~0025269

I see this bug assigned to Tsoots but I believe he is not contributing to the project anymore. Can this long-time bug be re-assigned to someone else? — Thanks! :)

cezaryece

2012-01-11 06:23

developer   ~0027512

First of all PP is in rewrite state and we must wait for how it will look like...

cezaryece

2012-07-25 09:59

developer   ~0028608

I have add indents and margins control to PP.
While not committed you can check this in branch ProPal in GIT repo.
And if it will be committed - is there any other missing things?

cezaryece

2012-07-25 10:03

developer   ~0028609

Louis, check "ProPal" branch in git repo if there are still any missing text properties in PP.

Kunda

2016-04-08 18:38

manager   ~0039915

Last edited: 2016-04-08 18:38

View 2 revisions

So need to check and see the state of things in this ticket:

“Character scaling“ is only available in the Text Editor.
true/false?

 “Left or Right reading language“ is only available in Properties.
true/false?

“Above“, “Below“, “First line indent“, “Left indent“, “Tabs“, “Drop caps“ and “Lock to baseline grid“ are only available in Paragraph Style.
true/false?

Issue History

Date Modified Username Field Change
2004-11-07 01:36 louisdesjardins New Issue
2005-05-25 10:40 Tsoots Status new => assigned
2005-05-25 10:40 Tsoots Assigned To => Tsoots
2005-05-25 11:17 mhanski Relationship added related to 0000577
2005-07-20 21:37 mhanski Relationship added related to 0002250
2011-01-04 00:52 louisdesjardins Note Added: 0025269
2012-01-10 21:48 louisdesjardins Relationship added parent of 0009848
2012-01-11 06:23 cezaryece Note Added: 0027512
2012-07-25 09:59 cezaryece Note Added: 0028608
2012-07-25 10:02 cezaryece Assigned To Tsoots => louisdesjardins
2012-07-25 10:03 cezaryece Note Added: 0028609
2012-07-25 10:03 cezaryece Status assigned => feedback
2016-04-08 18:38 Kunda Note Added: 0039915
2016-04-08 18:38 Kunda Note Edited: 0039915 View Revisions
2016-04-09 16:28 Kunda Patch => No
2016-04-09 16:28 Kunda Summary Adequation of settings in Paragraph styles/Properties palette/Text editor => Unify settings in Paragraph styles/Properties palette/Text editor
2016-04-09 16:28 Kunda Additional Information Updated View Revisions
2016-04-09 16:28 Kunda Relationship added related to 0001119